<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	  xmlns:ui="http://java.sun.com/jsf/facelets"
	  xmlns:f="http://java.sun.com/jsf/core"
	  xmlns:h="http://java.sun.com/jsf/html"
	  xmlns:b="http://bootsfaces.net/ui">

<h:head>
	<meta charset="UTF-8" />
	<title>Paiement</title>
</h:head>

<f:metadata>
	<f:viewParam name="id" value="#{paiementMb.id}"></f:viewParam>
	<f:event listener="#{paiementMb.init()}" type="preRenderView"/>
</f:metadata>

<!-- <h:body style="background-color: rgb(141, 141, 141)"> -->
<h:body style="background-color: #d3e3e5">
	<!--Haut de page-->
	<div id="header">
		<b:navBar brand-img="img/kikabanq.png"
				  brandHref="/WSPaiement/index.xhtml" styleClass="header" fluid="true"
				  position="top" sticky="true"
				  brand-style="position:center;width: auto; height:80px;padding:0;margin:0;"
				  brand-img-style="width: auto;height: 70px;position: relative;">
		</b:navBar>
	</div>
	<b:row>
		<b:jumbotron style="padding-top: 150px;max-height:300px">
			<div style="position: absolute; width: 100%; top: 60px">
				<h1 style="text-align: center;">KikaBanque</h1>
				<p
						style="text-align: center; width: 200vh; margin-left: auto; margin-right: auto;">
					Bienvenue sur KikaBanque, la solution de paiement en ligne simple
					et sécurisée.</p>
			</div>
		</b:jumbotron>
	</b:row>
	<div style="padding-top: 50px; padding-left: 200px;">

		<b:column col-md="3">
			<b:image value="img/cartes.png"
					 style="max-height:30vh;padding-top:120px;paddingleft:50px;margin:auto;" />
		</b:column>
		<div class="container col-md-8">
			<b:container fluid="true" col-md="8">
				<ui:insert name="content">
					<!-- <b:column col-md="8">-->
					<!-- 					style=" margin-left: auto; margin-right: auto;"  style="padding-bottom: 80px; padding-top: 85px;"-->
					<b:thumbnail title="Paiement" collapsible="false" span="5"
								 style="margin-left:auto; margin-right:auto; background-color: #EEEEEE;">
						<h:form>
							<b:column col-md="12">
								<div style="width:100%;">
									<b:image value="img/kikabanq.png" style="width: auto;height: 40px; display:block; margin:auto;" />
								</div>
							</b:column>
							<b:row>
								<b:column col-md="12">
									<b:inputText value="#{paiementMb.nomCarte}"
												 label="Nom affiché sur la carte" required="true">
									</b:inputText>
								</b:column>
							</b:row>
							<b:row>
								<b:column col-md="12">
									<b:inputText value="#{paiementMb.infoPaiement.numeroCarte}"
												 label="N° de carte Bancaire" required="true">
									</b:inputText>
								</b:column>
							</b:row>
							<b:row>
								<b:column col-md="8">
									<b:row>
										<b:column col-md="6">
											<b:inputText
													value="#{paiementMb.infoPaiement.moisExpiration}"
													label="Date d'expiration" required="false" width="50px">
											</b:inputText>
										</b:column>
										<b:column col-md="6">
											<div style="position:absolute; top:5px;">
												<b:inputText
														value="#{paiementMb.infoPaiement.anneeExpiration}"
														label="   " required="false" width="50px">
												</b:inputText>
											</div>
										</b:column>
									</b:row>
								</b:column>
								<br />
								<b:column col-md="12">


									<b:inputText value="#{paiementMb.infoPaiement.cryptogramme}"
												 label="Code CVC/CCV" required="true" width="50px"
												 tiny-screen="one-fourth" style="margin-left:0px;">
									</b:inputText>


									<div style="padding-top: 43px;">
										<h:outputText value="#{paiementMb.montant} €"
													  text-align="center"
													  style="font-size:28px; color:#286090; margin-left:195px;" />
									</div>
								</b:column>
							</b:row>

							<b:column col-md="6">
								<b:commandButton value="Annuler" col-md="8" offset-md="3" action="#{paiementMb.annuler()}"/>
							</b:column>
							<b:column col-md="6">
								<b:commandButton value="Payer" look="primary" col-md="6"
												 offset-md="3" action="#{paiementMb.payer()}" />
							</b:column>
							<br />
							<br />
							<b:row>
								<b:label value="#{paiementMb.messageError}"
										 style="color:red; font-family: Arial; font-size:18px; background-color: #EEEEEE;"
										 align="center" col-sm="12">
								</b:label>
							</b:row>
						</h:form>
					</b:thumbnail>
				</ui:insert>
			</b:container>
		</div>
	</div>
	<div id="footer">
		<!-- Site Footer -->
		<b:navBar brand="&#169;Copyright KiKaBanque" fluid="true"
				  styleClass="footerColors brandFooter" position="bottom">
			<b:form id="footerFormMaster"
					class="footerColors navbar-form navbar-center" fluid="true">
				<b:navbarLinks class="footerColors">
					<b:navLink class="footerColors" value="A propos" href="#" />
					<b:navLink class="footerColors" value="Contact" href="#" />
					<b:navLink class="footerColors" value="Conditions d'utilisation"
							   href="#" />
					<b:navLink class="footerColors" value="Aide" href="#" />
				</b:navbarLinks>
			</b:form>
			<b:form id="reseauxSociauxForm"
					class="footerColors navbar-form navbar-right hidden-md hidden-sm hidden-xs"
					fluid="true">
				<b:navbarLinks class="footerColors">
					<b:navLink class="footerColors" iconAwesome="facebook-official"
							   href="#" icon-size="2x" />
					<b:navLink class="footerColors" iconAwesome="google-plus" href="#"
							   icon-size="2x" />
					<b:navLink class="footerColors" iconAwesome="twitter" href="#"
							   icon-size="2x" />
					<b:navLink class="footerColors" iconAwesome="youtube" href="#"
							   icon-size="2x" />
				</b:navbarLinks>
			</b:form>
		</b:navBar>
		<b:dateTimePicker rendered="false" />
	</div>
</h:body>
</html>